import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for Service
void main() {
  final instance = ServiceBuilder();
  // TODO add properties to the builder and call build()

  group(Service, () {
    // bool active
    test('to test the property `active`', () async {
      // TODO
    });

    // String id
    test('to test the property `id`', () async {
      // TODO
    });

    // String key
    test('to test the property `key`', () async {
      // TODO
    });

    // ServiceKind kind
    test('to test the property `kind`', () async {
      // TODO
    });

    // int maxValue
    test('to test the property `maxValue`', () async {
      // TODO
    });

    // int minValue
    test('to test the property `minValue`', () async {
      // TODO
    });

    // String name
    test('to test the property `name`', () async {
      // TODO
    });

    // int sortOrder
    test('to test the property `sortOrder`', () async {
      // TODO
    });

  });
}
